Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.provision
Class SoftwareLoad

    java.lang.Object
      org.jini.rio.core.provision.SoftwareLoad

All Implemented Interfaces:
  Serializable

    public class SoftwareLoad

extends Object
implements Serializable

The SoftwareLoad defines an installable software element with an optional post-install helper to configure the downloaded software. The SoftwareLoad additionally provides a context to declare that a SoftwareLoad be removed from the compute resource when the ServiceBean has terminated.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SoftwareLoad.PostInstallAttributes` The PostInstallAttributes defines attributes needed to run and optionally download a utility to configure the SoftwareLoad
`static class` | `SoftwareLoad.SoftwareDownloadAttributes` The SoftwareDownloadAttributes class defines the attributes needed to download a software element

Constructor Summary
`SoftwareLoad()` Create a SoftwareLoad instance
`SoftwareLoad(boolean removeOnDestroy)` Create a SoftwareLoad instance
`SoftwareLoad(SoftwareLoad.SoftwareDownloadAttributes softwareDownload)` Create a SoftwareLoad instance
`SoftwareLoad(SoftwareLoad.SoftwareDownloadAttributes softwareDownload, boolean removeOnDestroy)` Create a SoftwareLoad instance

Method Summary
`SoftwareLoad.PostInstallAttributes` | `getPostInstallAttributes()` Get the post install attributes
`SoftwareLoad.SoftwareDownloadAttributes` | `getSoftwareDownloadAttributes()` Get the software download attributes
`boolean` | `removeOnDestroy()` Get whether to remove the software on ServiceBean termination
`void` | `setPostInstallAttributes(SoftwareLoad.PostInstallAttributes postInstall)` Set the post install attributes
`void` | `setSoftwareDownloadAttributes(SoftwareLoad.SoftwareDownloadAttributes softwareDownload)` Set the software download attributes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftwareLoad

    public SoftwareLoad()

  Create a SoftwareLoad instance

### SoftwareLoad

    public SoftwareLoad(SoftwareLoad.SoftwareDownloadAttributes softwareDownload)

  Create a SoftwareLoad instance

  Parameters:
    `softwareDownload` - DownloadAttribute instance defining attributes needed to download the software element

### SoftwareLoad

    public SoftwareLoad(boolean removeOnDestroy)

  Create a SoftwareLoad instance

  Parameters:
    `removeOnDestroy` - True if the software should be removed on ServiceBean termination, false if not

### SoftwareLoad

    public SoftwareLoad(SoftwareLoad.SoftwareDownloadAttributes softwareDownload,
                        boolean removeOnDestroy)

  Create a SoftwareLoad instance

  Parameters:
    `softwareDownload` - DownloadAttribute instance defining attributes needed to download the software element
    `removeOnDestroy` - True if the software should be removed on ServiceBean termination, false if not

Method Detail

### removeOnDestroy

    public boolean removeOnDestroy()

  Get whether to remove the software on ServiceBean termination

  Returns:
    True if the software should be removed on ServiceBean termination, false if not

### setSoftwareDownloadAttributes

    public void setSoftwareDownloadAttributes(SoftwareLoad.SoftwareDownloadAttributes softwareDownload)

  Set the software download attributes

  Parameters:
    `softwareDownload` - DownloadAttribute instance defining attributes needed to download the software element

### getSoftwareDownloadAttributes

    public SoftwareLoad.SoftwareDownloadAttributes getSoftwareDownloadAttributes()

  Get the software download attributes

  Returns:
    The SoftwareDownloadAttributes

### setPostInstallAttributes

    public void setPostInstallAttributes(SoftwareLoad.PostInstallAttributes postInstall)

  Set the post install attributes

  Parameters:
    `postInstall` - A PostInstallAttributes object defining a post installation

### getPostInstallAttributes

    public SoftwareLoad.PostInstallAttributes getPostInstallAttributes()

  Get the post install attributes

  Returns:
    The PostInstallAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.